# Uses of Enum Class
com.ocient.jdbc.XGConnectionInfo.Hint

Packages that use XGConnectionInfo.Hint
Package
Description
com.ocient.jdbc

## Uses of XGConnectionInfo.Hint in com.ocient.jdbc

Methods in com.ocient.jdbc that return XGConnectionInfo.Hint
Modifier and Type
Method
Description
`XGConnectionInfo.Hint`
XGConnectionInfo.`hint()`
`static XGConnectionInfo.Hint`
XGConnectionInfo.Hint.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static XGConnectionInfo.Hint[]`
XGConnectionInfo.Hint.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in com.ocient.jdbc with parameters of type XGConnectionInfo.Hint
Modifier and Type
Method
Description
`XGConnection`
XGConnection.`forkConnection(XGConnectionInfo.Hint hint, boolean hint_bypassLoadBalancerOnHandshakeOnly)`
Forks a new XGConnection based on the current connection, with optional hints for connection type.
`CompletionStage<CompletableFutures.SQLResult<XGConnection>>`
XGConnection.`forkConnectionAsync(XGConnectionInfo.Hint hint, boolean hint_bypassLoadBalancerOnHandshakeOnly)`
`XGConnectionInfo.Builder`
XGConnectionInfo.Builder.`setHint(XGConnectionInfo.Hint hint)`
`XGConnectionInfo.Builder`
XGConnectionInfo.Builder.`setRequiredProperties(XGConnectionInfo.Hint hint, String user, String pwd, String ip, int portNum, String hint_url, String database, String protocolVersion, XGConnection.Tls tls, CaselessProperties hint_properties)`